Package de.willuhn.jameica.hbci.server.hbci

# Class HBCIQuittungJob

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob
de.willuhn.jameica.hbci.server.hbci.HBCIQuittungJob

public class HBCIQuittungJob extends AbstractHBCIJob
Job fuer das Senden einer Quittung an die Bank.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`HBCIQuittungJob(Kontoauszug ka)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected HibiscusDBObject`
`getContext()`
Liefert den zugehoerigen Auftrag von Hibiscus - insofern verfuegbar.
`String`
`getIdentifier()`
HBCI4Java verwendet intern eindeutige Job-Namen.
`String`
`getName()`
Liefert einen sprechenden Namen fuer diesen Job.
`protected void`
`markExecuted()`
Markiert den Auftrag als erledigt.
`protected String`
`markFailed(String error)`
Markiert den Auftrag als fehlerhaft.

### Methods inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`getFollowerJobs, getJobResult, handleResult, isExclusive, markCancelled, setExclusive, setJob, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParamUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIQuittungJob

public HBCIQuittungJob(Kontoauszug ka) throws de.willuhn.util.ApplicationException, RemoteException
ct.

Parameters:
  `ka` - der Kontoauszug.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`

## Method Details

### getContext

protected HibiscusDBObject getContext()
Description copied from class: `AbstractHBCIJob`
Liefert den zugehoerigen Auftrag von Hibiscus - insofern verfuegbar.

Specified by:
  `getContext` in class `AbstractHBCIJob`
Returns:
  der zugehoerige Auftrag von Hibiscus - insofern verfuegbar.
See Also:
  - `AbstractHBCIJob.getContext()`

### getIdentifier

public String getIdentifier()
Description copied from class: `AbstractHBCIJob`
HBCI4Java verwendet intern eindeutige Job-Namen. Diese Funktion liefert genau den Namen fuer genau den gewuenschten Job.

Specified by:
  `getIdentifier` in class `AbstractHBCIJob`
Returns:
  Job-Identifier.
See Also:
  - `AbstractHBCIJob.getIdentifier()`

### getName

public String getName() throws RemoteException
Description copied from class: `AbstractHBCIJob`
Liefert einen sprechenden Namen fuer diesen Job.

Specified by:
  `getName` in class `AbstractHBCIJob`
Returns:
  sprechender Name.
Throws:
  `RemoteException`
See Also:
  - `AbstractHBCIJob.getName()`

### markExecuted

protected void markExecuted() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Markiert den Auftrag als erledigt.

Specified by:
  `markExecuted` in class `AbstractHBCIJob`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.markExecuted()`

### markFailed

protected String markFailed(String error) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Markiert den Auftrag als fehlerhaft.

Specified by:
  `markFailed` in class `AbstractHBCIJob`
Parameters:
  `error` - der Fehlertext aus der HBCI-Nachricht.
Returns:
  der Fehlertext, wie er weitergeworfen werden soll. Hier kann der Implementierer noch weitere Informationen zum Job hinzufuegen.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.markFailed(java.lang.String)`